Activity of your access tokens
const url = 'https://api.gampeon.com/v1/me/token-events';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.gampeon.com/v1/me/token-events \ --header 'Authorization: Bearer <token>'What your tokens did in the last 90 days (“AI activity” in the portal): route, result, client and time. Never request or response contents. Repeated reads of the same route are logged at most every 10 minutes. outcome: allowed means the token passed the scope check. Only with a portal session. Access tokens cannot manage tokens (403 token_not_allowed).
Not available with access tokens.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Only events of this token ID
Event ID from next of the previous page
1 to 200, default 50
Responses
Section titled “Responses”Events, newest first
object
object
Route like POST /v1/projects, or token.created / token.revoked
Unix time in milliseconds
Example
{ "events": [ { "outcome": "allowed" } ]}Error codes: unauthorized
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: token_not_allowed
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}